/**
 +----------------------------------------------------------
 * JS分页函数
 * num 总条数
 * pagenow 当前页码
 * pagesize 每页显示条数
 * url 跳转链接，当前函数未使用此函数
 * setpages 显示页码的个数，推荐5
 * type 跳转类型，可根据此参数，选择点击页码后执行的其它方法
 +----------------------------------------------------------
 */
function go_page(num, pagenow, pagesize, url, setpages, type){
	var page = parseInt(setpages) + 1;
	var pagewhole = Math.ceil(num/pagesize); //总页
	var offset = Math.ceil(setpages/2-1); //抵消页
	var from = pagenow - offset;
	var to = pagenow + offset;
	if(page > pagewhole){
		var from = 2;
		var to = pagewhole - 1;
	}else{
		if(from <= 1){
			var from = 2;
			var to = setpages;
		}else if(to >= pagewhole){
			var from = pagewhole - (setpages-1);
			var to = pagewhole - 1;
		}
	}
	var p = 1;
	page_style = '<i>'+num+'条</i>';

	//上一页
	if(pagenow > 1){
		var p = pagenow - 1;
		var pages = generate_fun(p, type);
		page_style += '<a href="javascript:;" onclick="'+pages+'">上一页</a>';
	}
	//第一页
	if(pagenow == 1){
		page_style += '<span>1</span>';
	}else if(pagenow > 4 && pagenow <= pagewhole){
		var pages = generate_fun(1, type);
		page_style += '<a href="javascript:;" onclick="'+pages+'">1</a>..';
	}else{
		var p = pagenow - 1;
		var pages = generate_fun(p, type);
		page_style += '<a href="javascript:;" onclick="'+pages+'">1</a>';
	}
	//中间页
	for(var i=from;i<=to;i++){
		//当前页
		if(i == pagenow){
			page_style += '<span>'+i+'</span>';
		}else{
			var pages = generate_fun(i, type);
			page_style += '<a href="javascript:;" onclick="'+pages+'">'+i+'</a>';
		}
	}
	//最后一页
	if(pagenow < pagewhole){
		if(pagewhole == setpages || (pagenow + offset >= pagewhole - 1)){
			var pages = generate_fun(pagewhole, type);
			page_style += '<a href="javascript:;" onclick="'+pages+'">'+pagewhole+'</a>';
		}else{
			var pages = generate_fun(pagewhole, type);
			page_style += '..<a href="javascript:;" onclick="'+pages+'">'+pagewhole+'</a>';
		}
	}else if(pagenow == pagewhole && pagewhole != 1){
		page_style += '<span>'+pagewhole+'</span>';
	}
	//下一页
	if(pagenow > 0 && pagenow < pagewhole){
		var p = pagenow + 1;
		var pages = generate_fun(p, type);
		page_style += '<a href="javascript:;" onclick="'+pages+'">下一页</a>';
	}
	return page_style;
}
/**
 +----------------------------------------------------------
 * 判断点击页码后执行的方法
 * 根据type值修改变量fun的值为对应的方法
 +----------------------------------------------------------
 */
function generate_fun(page, type){
	if(type == 'school'){
		var fun = "load_school(major, xuefei, area, xiangmu, schoolcharacter, scoretype, "+page+", 10, '"+type+"');go_top();";
	}else if(type == 'fraction'){
		var fun = "checkscores(checkscores_year,checkscores_area, "+page+", fraction_pagesize, '"+type+"');go_top();";
	}else if(type == 'recruitment'){
		var fun = "fun_enrollment(enrollment_year, enrollment_area, "+page+", enrollment_pagesize, '"+type+"');go_top();";
	}else if(type == 'general_rules'){
		var fun = "general_rules_pc("+page+", 10, '"+type+"');";
	}else if(type == 'information_msg'){
		var fun = "information_pc_msg("+page+", 10, '"+type+"');";
	}else if(type = 'school_information_pc'){
		var fun = "school_info_pc("+page+", 10, '"+type+"');";
	}
	return fun;
}